﻿using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace OpenAndSaveDialogFile
{
    /// <summary>
    /// Логика взаимодействия для Navigate.xaml
    /// </summary>
    public partial class Navigate : Window
    {
        public Navigate()
        {
            InitializeComponent();
        }

        private void btnNavigate_Click(object sender, RoutedEventArgs e)
        {
            var dlg = new OpenFileDialog();
            dlg.Filter = "txt file (*.txt) | *.txt|all files |*.*";
            Nullable<bool> result = dlg.ShowDialog();
            if (result == true)
            {
                MainWindow main = new MainWindow(dlg.FileName);
                main.Show();
                this.Close();
            }
        }
    }
}
